global:
  ref: master
  project: pcp-ci-metrics
  dockerRepoOverride: pcp.docker.zooxlabs.com
  createNamespace: true
  runCI: false
  helmChartPath: infra/helm/pcp-ci-metrics
  istio:
    enabled: false

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443

  services:
    frontend:
      imageName: pcp-ci-metrics-frontend
      imageTag: static_contour_metrics
      ingress:
        enabled: true
      livenessProbe:
        httpGet:
          path: /
          port: http
      readinessProbe:
        httpGet:
          path: /
          port: http
      env:
        PCP_CI_BACKEND:
          valueFrom:
            configMapKeyRef:
              key: PCP_CI_BACKEND
              name: env-vars
    backend:
      imageName: pcp-ci-metrics-backend
      imageTag: static_contour_metrics
      ingress:
        enabled: true
      containerPort: 9090
      service:
        type: ClusterIP
        port: 9090
      livenessProbe:
        httpGet:
          path: /healthz
          port: 9090
      readinessProbe:
        httpGet:
          path: /healthz
          port: 9090
      volumes:
        - name: nautilus-rw
          cephfs:
            monitors:
            - 10.65.7.203:6789
            - 10.65.7.204:6789
            - 10.65.7.205:6789
            readOnly: true
            user: logs_rw
            secretRef:
              name: ceph-secret
        - name: sun-pcs01
          nfs:
            server: sun-pcs01-nfs.zooxlabs.com
            path: /sun-pcs01
        - name: sun-pcp01
          nfs:
            server: sun-pcpstore01.zooxlabs.com
            path: /sun_pcp01

      volumeMounts:
        - name: nautilus-rw
          mountPath: /mnt/nautilus_rw
        - name: sun-pcs01
          mountPath: /mnt/sun-pcs01
        - name: sun-pcp01
          mountPath: /mnt/sun-pcp01

zoox-base:
  enabled: true

ci-pipeline:
  enabled: false
